Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRXlsAbstractExporterNature

    java.lang.Object
      net.sf.jasperreports.engine.export.JRXlsAbstractExporterNature

All Implemented Interfaces:
  ExporterFilter, ExporterNature

Direct Known Subclasses:
  JExcelApiExporterNature, JRXlsExporterNature, JRXlsxExporterNature

    public class JRXlsAbstractExporterNature

extends java.lang.Object
implements ExporterNature

Version:
  $Id: JRXlsAbstractExporterNature.java 4015 2010-10-27 10:44:19Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected ExporterFilter` | `filter`
`protected boolean` | `isIgnoreGraphics`
`protected boolean` | `isIgnorePageMargins`
`static java.lang.String` | `PROPERTY_BREAK_AFTER_ROW`
`static java.lang.String` | `PROPERTY_BREAK_BEFORE_ROW`

Constructor Summary
`protected` | `JRXlsAbstractExporterNature(ExporterFilter filter, boolean isIgnoreGraphics)`
`protected` | `JRXlsAbstractExporterNature(ExporterFilter filter, boolean isIgnoreGraphics, boolean isIgnorePageMargins)`

Method Summary
`boolean` | `isBreakAfterRow(JRPrintElement element)`
`boolean` | `isBreakBeforeRow(JRPrintElement element)`
`boolean` | `isDeep(JRPrintFrame frame)` Specified whether to include in the grid sub elements of a given `frame` element.
`boolean` | `isHorizontallyMergeEmptyCells()` Flag that specifies that empty cells are to be horizontally merged.
`boolean` | `isIgnoreLastRow()`
`boolean` | `isIgnorePageMargins()` Specifies whether empty page margins should be ignored
`boolean` | `isSpanCells()` Specifies whether the exporter handles cells span
`boolean` | `isSplitSharedRowSpan()`
`boolean` | `isToExport(JRPrintElement element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_BREAK_BEFORE_ROW

    public static final java.lang.String PROPERTY_BREAK_BEFORE_ROW

See Also:
  Constant Field Values

### PROPERTY_BREAK_AFTER_ROW

    public static final java.lang.String PROPERTY_BREAK_AFTER_ROW

See Also:
  Constant Field Values

### filter

    protected ExporterFilter filter

### isIgnoreGraphics

    protected boolean isIgnoreGraphics

### isIgnorePageMargins

    protected boolean isIgnorePageMargins

Constructor Detail

### JRXlsAbstractExporterNature

    protected JRXlsAbstractExporterNature(ExporterFilter filter,
                                          boolean isIgnoreGraphics)

### JRXlsAbstractExporterNature

    protected JRXlsAbstractExporterNature(ExporterFilter filter,
                                          boolean isIgnoreGraphics,
                                          boolean isIgnorePageMargins)

Method Detail

### isToExport

    public boolean isToExport(JRPrintElement element)

  Specified by:
    `isToExport` in interface `ExporterFilter`

### isDeep

    public boolean isDeep(JRPrintFrame frame)

  Description copied from interface: `ExporterNature`
  Specified whether to include in the grid sub elements of a given `frame` element.

  Specified by:
    `isDeep` in interface `ExporterNature`

### isSplitSharedRowSpan

    public boolean isSplitSharedRowSpan()

  Specified by:
    `isSplitSharedRowSpan` in interface `ExporterNature`

### isSpanCells

    public boolean isSpanCells()

  Description copied from interface: `ExporterNature`
  Specifies whether the exporter handles cells span

  Specified by:
    `isSpanCells` in interface `ExporterNature`

### isIgnoreLastRow

    public boolean isIgnoreLastRow()

  Specified by:
    `isIgnoreLastRow` in interface `ExporterNature`

### isHorizontallyMergeEmptyCells

    public boolean isHorizontallyMergeEmptyCells()

  Description copied from interface: `ExporterNature`
  Flag that specifies that empty cells are to be horizontally merged.

  If the flag is set and this nature is `deep`, the nature is required to `export` `frames`.

  Specified by:
    `isHorizontallyMergeEmptyCells` in interface `ExporterNature`
  Returns:
    whether empty cells are to be horizontally merged

### isIgnorePageMargins

    public boolean isIgnorePageMargins()

  Specifies whether empty page margins should be ignored

  Specified by:
    `isIgnorePageMargins` in interface `ExporterNature`

### isBreakBeforeRow

    public boolean isBreakBeforeRow(JRPrintElement element)

  Specified by:
    `isBreakBeforeRow` in interface `ExporterNature`

### isBreakAfterRow

    public boolean isBreakAfterRow(JRPrintElement element)

  Specified by:
    `isBreakAfterRow` in interface `ExporterNature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com